Bug 472843 - [Intel 5.4 FEAT] Support IA-32 EL V7
[Intel 5.4 FEAT] Support IA-32 EL V7
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ia32el (Show other bugs)
5.4
ia64 Linux
medium Severity medium
: alpha
: 5.4
Assigned To: Petr Machata
BaseOS QE
: OtherQA, Rebase
Depends On:
Blocks: 452016 483784
  Show dependency treegraph
 
Reported: 2008-11-24 20:05 EST by Xiaolan
Modified: 2015-05-04 21:34 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
New release of Intel IA-32 Execution Layer comes with support for latest system calls, support for SSE 4.1 instructions, bug fixes and performance improvements.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:24:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
ia32el v7 package - 7042/7022 (2.75 MB, application/x-gzip-compressed)
2008-12-18 21:23 EST, Xiaolan
no flags Details

  None (edit)
Description Xiaolan 2008-11-24 20:05:32 EST
1. Feature name: IA-32 Execution Layer new version V7

2. Description:
V7, the latest version of IA-32 EL, will be released at the end of this year.
More details about IA-32 EL V7 features will be updated later

a. Architectures:
64-bit Itanium2

b. Bugzilla Dependencies:
c. Drivers or hardware dependencies:
no

d. Upstream acceptance information:
N/A

e. External links:
N/A

f. Severity (U,H,M,L):

g. Target Release Date:
N/A 

3. Business Justification:
a. Why is this feature needed?
Better support for running IA-32 application on Itanium machine. 

b. What hardware does this enable?
Intel Itanium 2 processor

c. Forecast, impact on revenue?
High end platform

d. Any configuration info?
no

e. Are there other dependencies (drivers).
no

4. Primary contact at Red Hat, email, phone (chat)
keve.a.gabbert@intel.com

5. Primary contact at Partner, email, phone (chat)
xiaolan.huang@intel.com, 86-21-61166170
Comment 3 Xiaolan 2008-12-02 03:56:04 EST
Feature of IA-32 Execution Layer new version V7

a. Support latest system call

b. Support SSE4.1 instructions

c. Performance improvement: icc-built applications 5%INT, 10%FP, SMC code 10%, system call 10%, gcc-built applications 4%INT 18%FP

d. Bug fix improve compatibility and robustness of the product
Comment 4 Xiaolan 2008-12-18 21:23:48 EST
Created attachment 327403 [details]
ia32el v7 package - 7042/7022

IA-32 EL V7 package
Comment 5 John Villalovos 2009-01-19 14:41:21 EST
Petr,

Do you need any assistance from Intel on getting this submitted by the 29-Jan-2009 deadline?
Comment 6 Petr Machata 2009-01-19 14:52:37 EST
I'll take a look at it this week.  If everything goes as usual, no assistance will be necessary.
Comment 10 Keve Gabbert 2009-04-15 15:20:57 EDT
is everything going well ??
Comment 12 Petr Machata 2009-04-16 09:43:20 EDT
Packages were built and the erratum filed.
Comment 13 Chris Ward 2009-06-14 19:16:40 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 14 Jane Lv 2009-06-16 05:47:24 EDT
Xiaolan, will your team do testing for IA32 EL on RHEL 5.4 release candidates?
Comment 15 Xiaolan 2009-06-16 18:59:27 EDT
sure, the validation is in progress. I will return to you as soon as it finishes.
Comment 16 Xiaolan 2009-06-17 02:25:10 EDT
Hi Chris, Jane,
We just finished the validation and there're no regression in it. Thanks a lot for your help.

- Xiaolan
Comment 17 Jane Lv 2009-06-17 05:30:08 EDT
(In reply to comment #16)
> Hi Chris, Jane,
> We just finished the validation and there're no regression in it. Thanks a lot
> for your help.
> 
> - Xiaolan  

Xiaolan, thanks for the update.  Please set "Intel" of the "Verified" field if you think this bug can be verified, while keep the "Status" field unchanged.  (This is Red Hat new partner bug verification process. fyi. :) )
Comment 18 Chris Ward 2009-06-23 12:10:16 EDT
Thanks a lot for the hard work and early testing Intel! Very glad to hear everything is looking good.
Comment 20 Ronald Pacheco 2009-06-23 16:16:36 EDT
Adaora,

Can you have your team test this package and report results in this BZ?

Thanks!

Ron
Comment 22 Petr Machata 2009-06-30 12:14:55 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
New release of Intel IA-32 Execution Layer comes with support for latest system calls, support for SSE 4.1 instructions, bug fixes and performance improvements.
Comment 23 Chris Ward 2009-07-03 14:14:10 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 24 Chris Ward 2009-07-10 15:06:42 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 26 Chris Ward 2009-07-27 07:32:04 EDT
HP, please update this bug with your latest test results. Thanks!
Comment 28 errata-xmlrpc 2009-09-02 05:24:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1271.html

Note You need to log in before you can comment on or make changes to this bug.